{
    "objects": [
        {
            "attributes": {
                "description": "",
                "kibanaSavedObjectMeta": {
                    "searchSourceJSON": "{\"query\": {\"language\": \"kuery\", \"query\": \"\"}, \"index\": \"metricbeat-*\", \"filter\": []}"
                },
                "title": "Service States [Metricbeat Windows] ECS",
                "uiStateJSON": "{\"vis\": {\"params\": {\"sort\": {\"columnIndex\": null, \"direction\": null}}}}",
                "version": 1,
                "visState": "{\"params\": {\"totalFunc\": \"sum\", \"perPage\": 10, \"sort\": {\"columnIndex\": null, \"direction\": null}, \"showPartialRows\": false, \"showMeticsAtAllLevels\": false, \"showTotal\": false}, \"aggs\": [{\"params\": {\"aggregate\": \"concat\", \"field\": \"@timestamp\", \"sortOrder\": \"desc\", \"size\": 1, \"customLabel\": \"Latest Report\", \"sortField\": \"@timestamp\"}, \"id\": \"1\", \"type\": \"top_hits\", \"enabled\": true, \"schema\": \"metric\"}, {\"params\": {\"order\": \"asc\", \"orderBy\": \"_term\", \"field\": \"windows.service.display_name\", \"customLabel\": \"Service\", \"size\": 100}, \"id\": \"2\", \"type\": \"terms\", \"enabled\": true, \"schema\": \"bucket\"}, {\"params\": {\"order\": \"desc\", \"orderBy\": \"_term\", \"field\": \"host.name\", \"customLabel\": \"Host\", \"size\": 5}, \"id\": \"5\", \"type\": \"terms\", \"enabled\": true, \"schema\": \"bucket\"}, {\"params\": {\"orderAgg\": {\"params\": {\"field\": \"@timestamp\"}, \"id\": \"3-orderAgg\", \"type\": \"max\", \"enabled\": true, \"schema\": {\"params\": [], \"group\": \"none\", \"min\": 0, \"editor\": false, \"max\": null, \"deprecate\": false, \"name\": \"orderAgg\", \"title\": \"Order Agg\", \"aggFilter\": [\"!top_hits\", \"!percentiles\", \"!median\", \"!std_dev\", \"!derivative\", \"!moving_avg\", \"!serial_diff\", \"!cumulative_sum\", \"!avg_bucket\", \"!max_bucket\", \"!min_bucket\", \"!sum_bucket\"], \"hideCustomLabel\": true}}, \"field\": \"windows.service.state\", \"size\": 1, \"order\": \"desc\", \"orderBy\": \"custom\", \"customLabel\": \"State\"}, \"id\": \"3\", \"type\": \"terms\", \"enabled\": true, \"schema\": \"bucket\"}, {\"params\": {\"orderAgg\": {\"params\": {\"field\": \"@timestamp\"}, \"id\": \"4-orderAgg\", \"type\": \"max\", \"enabled\": true, \"schema\": {\"params\": [], \"group\": \"none\", \"min\": 0, \"editor\": false, \"max\": null, \"deprecate\": false, \"name\": \"orderAgg\", \"title\": \"Order Agg\", \"aggFilter\": [\"!top_hits\", \"!percentiles\", \"!median\", \"!std_dev\", \"!derivative\", \"!moving_avg\", \"!serial_diff\", \"!cumulative_sum\", \"!avg_bucket\", \"!max_bucket\", \"!min_bucket\", \"!sum_bucket\"], \"hideCustomLabel\": true}}, \"field\": \"windows.service.start_type\", \"size\": 1, \"order\": \"desc\", \"orderBy\": \"custom\", \"customLabel\": \"Startup Type\"}, \"id\": \"4\", \"type\": \"terms\", \"enabled\": true, \"schema\": \"bucket\"}], \"type\": \"table\", \"title\": \"Service States [Metricbeat Windows] ECS\"}"
            },
            "id": "eb8277d0-c98c-11e7-9835-2f31fe08873b-ecs",
            "type": "visualization",
            "version": 1
        },
        {
            "attributes": {
                "description": "",
                "kibanaSavedObjectMeta": {
                    "searchSourceJSON": "{\"query\": {\"language\": \"kuery\", \"query\": \"\"}, \"filter\": []}"
                },
                "savedSearchId": "b6b7ccc0-c98d-11e7-9835-2f31fe08873b-ecs",
                "title": "Hosts [Metricbeat Windows] ECS",
                "uiStateJSON": "{\"vis\": {\"params\": {\"sort\": {\"columnIndex\": null, \"direction\": null}}}}",
                "version": 1,
                "visState": "{\"params\": {\"totalFunc\": \"sum\", \"perPage\": 10, \"sort\": {\"columnIndex\": null, \"direction\": null}, \"showPartialRows\": false, \"showMeticsAtAllLevels\": false, \"showTotal\": false}, \"aggs\": [{\"params\": {\"field\": \"windows.service.id\", \"customLabel\": \"Total Services\"}, \"id\": \"1\", \"type\": \"cardinality\", \"enabled\": true, \"schema\": \"metric\"}, {\"params\": {\"order\": \"desc\", \"orderBy\": \"1\", \"field\": \"host.name\", \"customLabel\": \"Host\", \"size\": 100}, \"id\": \"2\", \"type\": \"terms\", \"enabled\": true, \"schema\": \"bucket\"}], \"type\": \"table\", \"title\": \"Hosts [Metricbeat Windows] ECS\"}"
            },
            "id": "23a5fff0-c98e-11e7-9835-2f31fe08873b-ecs",
            "type": "visualization",
            "version": 2
        },
        {
            "attributes": {
                "description": "",
                "kibanaSavedObjectMeta": {
                    "searchSourceJSON": "{\"query\": {\"language\": \"kuery\", \"query\": \"\"}, \"filter\": []}"
                },
                "savedSearchId": "b6b7ccc0-c98d-11e7-9835-2f31fe08873b-ecs",
                "title": "Startup States [Metricbeat Windows] ECS",
                "uiStateJSON": "{}",
                "version": 1,
                "visState": "{\"params\": {\"isDonut\": true, \"type\": \"pie\", \"addTooltip\": true, \"addLegend\": true, \"legendPosition\": \"right\"}, \"aggs\": [{\"params\": {\"field\": \"windows.service.id\", \"customLabel\": \"Service Count\"}, \"id\": \"1\", \"type\": \"cardinality\", \"enabled\": true, \"schema\": \"metric\"}, {\"params\": {\"order\": \"desc\", \"orderBy\": \"1\", \"field\": \"windows.service.start_type\", \"customLabel\": \"Startup Type\", \"size\": 5}, \"id\": \"4\", \"type\": \"terms\", \"enabled\": true, \"schema\": \"segment\"}, {\"params\": {\"order\": \"desc\", \"orderBy\": \"1\", \"field\": \"windows.service.state\", \"customLabel\": \"State\", \"size\": 5}, \"id\": \"3\", \"type\": \"terms\", \"enabled\": true, \"schema\": \"segment\"}], \"type\": \"pie\", \"title\": \"Startup States [Metricbeat Windows] ECS\"}"
            },
            "id": "830c45f0-c991-11e7-9835-2f31fe08873b-ecs",
            "type": "visualization",
            "version": 2
        },
        {
            "attributes": {
                "description": "",
                "kibanaSavedObjectMeta": {
                    "searchSourceJSON": "{\"query\": {\"language\": \"kuery\", \"query\": \"\"}, \"filter\": []}"
                },
                "savedSearchId": "b6b7ccc0-c98d-11e7-9835-2f31fe08873b-ecs",
                "title": "Unique Services [Metricbeat Windows] ECS",
                "uiStateJSON": "{\"vis\": {\"defaultColors\": {\"0 - 100\": \"rgb(0,104,55)\"}}}",
                "version": 1,
                "visState": "{\"params\": {\"type\": \"gauge\", \"addTooltip\": true, \"gauge\": {\"percentageMode\": false, \"type\": \"simple\", \"colorSchema\": \"Green to Red\", \"gaugeStyle\": \"Full\", \"labels\": {\"color\": \"black\", \"show\": false}, \"colorsRange\": [{\"to\": 100, \"from\": 0}], \"orientation\": \"vertical\", \"autoExtend\": false, \"useRange\": false, \"verticalSplit\": false, \"style\": {\"fontSize\": 60, \"bgColor\": false, \"labelColor\": false, \"subText\": \"\"}, \"backStyle\": \"Full\", \"gaugeColorMode\": \"None\", \"invertColors\": false, \"gaugeType\": \"Metric\", \"scale\": {\"color\": \"#333\", \"show\": false, \"labels\": false, \"width\": 2}}, \"addLegend\": false}, \"aggs\": [{\"params\": {\"field\": \"windows.service.id\", \"customLabel\": \"Services\"}, \"id\": \"1\", \"type\": \"cardinality\", \"enabled\": true, \"schema\": \"metric\"}], \"type\": \"metric\", \"title\": \"Unique Services [Metricbeat Windows] ECS\"}"
            },
            "id": "35f5ad60-c996-11e7-9835-2f31fe08873b-ecs",
            "type": "visualization",
            "version": 2
        },
        {
            "attributes": {
                "description": "",
                "kibanaSavedObjectMeta": {
                    "searchSourceJSON": "{\"query\": {\"language\": \"kuery\", \"query\": \"\"}, \"filter\": [{\"meta\": {\"disabled\": false, \"type\": \"exists\", \"alias\": null, \"index\": \"metricbeat-*\", \"negate\": false, \"key\": \"windows.service.exit_code\", \"value\": \"exists\"}, \"$state\": {\"store\": \"appState\"}, \"exists\": {\"field\": \"windows.service.exit_code\"}}, {\"query\": {\"match\": {\"windows.service.exit_code\": {\"query\": \"0\", \"type\": \"phrase\"}}}, \"meta\": {\"params\": {\"query\": \"0\", \"type\": \"phrase\"}, \"disabled\": false, \"type\": \"phrase\", \"alias\": null, \"index\": \"metricbeat-*\", \"negate\": true, \"key\": \"windows.service.exit_code\", \"value\": \"0\"}, \"$state\": {\"store\": \"appState\"}}, {\"query\": {\"match\": {\"windows.service.exit_code\": {\"query\": \"ERROR_SERVICE_NEVER_STARTED\", \"type\": \"phrase\"}}}, \"meta\": {\"params\": {\"query\": \"ERROR_SERVICE_NEVER_STARTED\", \"type\": \"phrase\"}, \"disabled\": false, \"type\": \"phrase\", \"alias\": null, \"index\": \"metricbeat-*\", \"negate\": true, \"key\": \"windows.service.exit_code\", \"value\": \"ERROR_SERVICE_NEVER_STARTED\"}, \"$state\": {\"store\": \"appState\"}}]}"
                },
                "savedSearchId": "b6b7ccc0-c98d-11e7-9835-2f31fe08873b-ecs",
                "title": "Non-zero Service Exit Codes [Metricbeat Windows] ECS",
                "uiStateJSON": "{\"vis\": {\"defaultColors\": {\"0 - 100\": \"rgb(0,104,55)\"}}}",
                "version": 1,
                "visState": "{\"params\": {\"type\": \"gauge\", \"addTooltip\": true, \"gauge\": {\"percentageMode\": false, \"type\": \"simple\", \"colorSchema\": \"Green to Red\", \"gaugeStyle\": \"Full\", \"labels\": {\"color\": \"black\", \"show\": false}, \"colorsRange\": [{\"to\": 100, \"from\": 0}], \"orientation\": \"vertical\", \"autoExtend\": false, \"useRange\": false, \"verticalSplit\": false, \"style\": {\"fontSize\": 60, \"bgColor\": false, \"labelColor\": false, \"subText\": \"\"}, \"backStyle\": \"Full\", \"gaugeColorMode\": \"None\", \"invertColors\": false, \"gaugeType\": \"Metric\", \"scale\": {\"color\": \"#333\", \"show\": false, \"labels\": false, \"width\": 2}}, \"addLegend\": false}, \"aggs\": [{\"params\": {\"field\": \"windows.service.id\", \"customLabel\": \"Non-zero Exit Codes\"}, \"id\": \"1\", \"type\": \"cardinality\", \"enabled\": true, \"schema\": \"metric\"}], \"type\": \"metric\", \"title\": \"Non-zero Service Exit Codes [Metricbeat Windows] ECS\"}"
            },
            "id": "c36b2ba0-ca29-11e7-9835-2f31fe08873b-ecs",
            "type": "visualization",
            "version": 1
        },
        {
            "attributes": {
                "columns": [
                    "host.name",
                    "windows.service.display_name",
                    "windows.service.state",
                    "windows.service.start_type",
                    "windows.service.uptime.ms",
                    "windows.service.pid",
                    "windows.service.exit_code"
                ],
                "description": "",
                "hits": 0,
                "kibanaSavedObjectMeta": {
                    "searchSourceJSON": "{\"highlightAll\": true, \"query\": {\"language\": \"kuery\", \"query\": \"\"}, \"index\": \"metricbeat-*\", \"filter\": [{\"query\": {\"match\": {\"event.module\": {\"query\": \"windows\", \"type\": \"phrase\"}}}, \"meta\": {\"params\": {\"query\": \"windows\", \"type\": \"phrase\"}, \"disabled\": false, \"type\": \"phrase\", \"alias\": null, \"index\": \"metricbeat-*\", \"negate\": false, \"key\": \"event.module\", \"value\": \"windows\"}, \"$state\": {\"store\": \"appState\"}}, {\"query\": {\"match\": {\"metricset.name\": {\"query\": \"service\", \"type\": \"phrase\"}}}, \"meta\": {\"params\": {\"query\": \"service\", \"type\": \"phrase\"}, \"disabled\": false, \"type\": \"phrase\", \"alias\": null, \"index\": \"metricbeat-*\", \"negate\": false, \"key\": \"metricset.name\", \"value\": \"service\"}, \"$state\": {\"store\": \"appState\"}}], \"version\": true}"
                },
                "sort": [
                    "@timestamp",
                    "desc"
                ],
                "title": "Services [Metricbeat Windows] ECS",
                "version": 1
            },
            "id": "b6b7ccc0-c98d-11e7-9835-2f31fe08873b-ecs",
            "type": "search",
            "version": 2
        },
        {
            "attributes": {
                "description": "Overview of the Windows Service States",
                "hits": 0,
                "kibanaSavedObjectMeta": {
                    "searchSourceJSON": "{\"highlightAll\": true, \"query\": {\"language\": \"kuery\", \"query\": \"\"}, \"filter\": [], \"version\": true}"
                },
                "optionsJSON": "{\"darkTheme\": false}",
                "panelsJSON": "[{\"col\": 4, \"id\": \"eb8277d0-c98c-11e7-9835-2f31fe08873b-ecs\", \"row\": 4, \"type\": \"visualization\", \"size_y\": 5, \"size_x\": 9, \"panelIndex\": 1}, {\"col\": 1, \"id\": \"23a5fff0-c98e-11e7-9835-2f31fe08873b-ecs\", \"row\": 4, \"type\": \"visualization\", \"size_y\": 5, \"size_x\": 3, \"panelIndex\": 2}, {\"col\": 1, \"id\": \"830c45f0-c991-11e7-9835-2f31fe08873b-ecs\", \"row\": 1, \"type\": \"visualization\", \"size_y\": 3, \"size_x\": 4, \"panelIndex\": 3}, {\"col\": 5, \"id\": \"35f5ad60-c996-11e7-9835-2f31fe08873b-ecs\", \"row\": 1, \"type\": \"visualization\", \"size_y\": 3, \"size_x\": 4, \"panelIndex\": 4}, {\"col\": 9, \"id\": \"c36b2ba0-ca29-11e7-9835-2f31fe08873b-ecs\", \"row\": 1, \"type\": \"visualization\", \"size_y\": 3, \"size_x\": 4, \"panelIndex\": 5}]",
                "timeRestore": false,
                "title": "[Metricbeat Windows] Services ECS",
                "uiStateJSON": "{\"P-2\": {\"vis\": {\"params\": {\"sort\": {\"columnIndex\": null, \"direction\": null}}}}, \"P-4\": {\"vis\": {\"defaultColors\": {\"0 - 100\": \"rgb(0,104,55)\"}}}, \"P-1\": {\"vis\": {\"params\": {\"sort\": {\"columnIndex\": null, \"direction\": null}}}}, \"P-5\": {\"vis\": {\"defaultColors\": {\"0 - 100\": \"rgb(0,104,55)\"}}}}",
                "version": 1
            },
            "id": "d9eba730-c991-11e7-9835-2f31fe08873b-ecs",
            "type": "dashboard",
            "version": 6
        }
    ],
    "version": "6.0.0"
}